QGIS Application - Feature request #13739
Priority: Normal

Assignee: Radim Blazek

Category: GRASS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21766
Description

It is not possible to attach attributes to existing geometry without attributes (boundary) digitized in previous session. This is important for
digitizing linear features using geometry of area boundaries.

Associated revisions

Revision 5f3954a3 - 2015-11-06 06:08 PM - Radim Blazek

[GRASS] enable to attache attributes to geom without cat, fixes #13739

History

#1 - 2015-11-02 10:58 AM - Radim Blazek

Test for this issue (currently disabled ) was added in commit:f3d9e75.

The possibility to attach attributes to a geometry (with no cat) can be enabled here:
https://github.com/qgis/QGIS/blob/e8cb8c1a9/src/providers/grass/qgsgrassprovider.cop#L 1728

by changing the line to:

if (IFID_IS_NEW( fid ) && (layerField > 0 && layerField = mLayerField) )

then the line is rewritten with new cat and attributes are inserted to table.

The problem is undo, because undo of change attribute is just another change attribute command and it is hard to recognize it from regular change
attribute command and delete the cat/attributes when it is undo. It is also complicated by the fact that |QUndoStack has no signal before undo, which
could help us to recognize undo.

#2 - 2015-11-06 10:09 AM - Radim Blazek
- Status changed from Open to Closed

Fixed in changeset commit:"5f3954a3a84cc78f45aefecb899e9d1defe36d3a".
